summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2019-10-06 21:21:02 +0200
committerErich Eckner <git@eckner.net>2019-10-06 21:21:02 +0200
commite94e475e5fe4e24c068bfed6c92787d01ff0abc3 (patch)
tree055a74d348ac8a50d6d7c5e2f7ffecedb0a87575 /bin
parente49623bc587b048ad437eb534d79cd3206c1766d (diff)
downloadbuilder-e94e475e5fe4e24c068bfed6c92787d01ff0abc3.tar.xz
bin/return-assignment: wait upto 20 secs for (each) lock
Diffstat (limited to 'bin')
-rwxr-xr-xbin/return-assignment6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/return-assignment b/bin/return-assignment
index b0fcd0a..2a7598b 100755
--- a/bin/return-assignment
+++ b/bin/return-assignment
@@ -72,13 +72,13 @@ fi
# Create a lock file and a trap.
exec 9> "${build_list_lock_file}"
-if ! verbose_flock -n 9; then
+if ! verbose_flock -w 20 9; then
>&2 echo 'come back (shortly) later - I cannot lock build list.'
exit 1
fi
exec 8> "${sanity_check_lock_file}"
-if ! verbose_flock -s -n 8; then
+if ! verbose_flock -s -w 20 8; then
>&2 echo 'come back (shortly) later - sanity-check running.'
exit 1
fi
@@ -534,7 +534,7 @@ fi
# so we also need a lock on the package database
exec 7> "${package_database_lock_file}"
-if ! verbose_flock -n 7; then
+if ! verbose_flock -w 20 7; then
>&2 echo 'come back (shortly) later - I cannot lock package database.'
exit 1
fi